import { Component } from '@angular/core';
import { AuthService } from '../core/services/auth.service';
import { environment } from '../../environments/environment';

@Component({
  selector: 'app-header',
  templateUrl: './header.component.html',
  styles: [`
    img {
      width: 50px;
      height: 50px;
    }

    a, a:visited {
      color: white;
    }
  `]
})
export class HeaderComponent {
  title = environment.title;

  constructor(
    private authService: AuthService
  ) {}

  isAuthenticated(): boolean {
    return this.authService.isAuthenticated();
  }
}
